Index: doc/papers/concurrency/mail2
===================================================================
--- doc/papers/concurrency/mail2	(revision 1f9a4d0ea5207988f1865f786e53bb8849f607b8)
+++ doc/papers/concurrency/mail2	(revision e867b44d29a219d9ae0b5a5cbb9ef66e02f065fa)
@@ -1288,4 +1288,40 @@
 
 
+From: "Wiley Online Proofing" <onlineproofing@eproofing.in>
+To: pabuhr@uwaterloo.ca
+Reply-To: eproofing@wiley.com
+Date: 3 Nov 2020 08:25:06 +0000
+Subject: Action: Proof of SPE_EV_SPE2925 for Software: Practice And Experience ready for review
+
+Dear Dr. Peter Buhr,
+
+The proof of your Software: Practice And Experience article Advanced control-flow in Cforall is now available for review:
+
+Edit Article https://wiley.eproofing.in/Proof.aspx?token=ab7739d5678447fbbe5036f3bcba2445081500061
+
+To review your article, please complete the following steps, ideally within 48 hours*, so we can publish your article as quickly as possible.
+
+1. Open your proof in the online proofing system using the button above.
+2. Check the article for correctness and respond to all queries.For instructions on using the system, please see the "Help" menu in the upper right corner.
+3. Submit your changes by clicking the "Submit" button in the proofing system.
+
+Helpful Tips
+
+*  Your manuscript has been formatted following the style requirements for the journal. Any requested changes that go against journal style will not be made.
+*  Your proof will include queries. These must be replied to using the system before the proof can be submitted.
+*  The only acceptable changes at this stage are corrections to grammatical errors or data accuracy, or to provide higher resolution figure files (if requested by the typesetter).
+*  Any changes to scientific content or authorship will require editorial review and approval.
+*  Once your changes are complete, submit the article after which no additional corrections can be requested.
+*  Most authors complete their corrections within 48 hours. Returning any corrections promptly will accelerate publication of your article.
+
+If you encounter any problems or have questions, please contact the production office at (SPEproofs@wiley.com). For the quickest response, include the journal name and your article ID (found in the subject line) in all correspondence.
+
+Best regards,
+Software: Practice And Experience Production Office
+
+* We appreciate that the COVID-19 pandemic may create conditions for you that make it difficult for you to review your proof within standard timeframes. If you have any problems keeping to this schedule, please reach out to me at (SPEproofs@wiley.com) to discuss alternatives.
+
+
+
 From: "Pacaanas, Joel -" <jpacaanas@wiley.com>
 To: "Peter A. Buhr" <pabuhr@uwaterloo.ca>
@@ -1345,5 +1381,4 @@
 
 Since the proof was reset, your added corrections before has also been removed. Please add them back. 
-
 Please return your corrections at your earliest convenience.
 
@@ -1384,2 +1419,167 @@
 Best regards,
 Joel Pacaanas
+
+
+
+Date: Wed, 2 Dec 2020 08:49:52 +0000
+From: <cs-author@wiley.com>
+To: <pabuhr@uwaterloo.ca>
+Subject: Published: Your article is now published in Early View!
+
+Dear Peter Buhr,
+
+Your article Advanced Control-flow and Concurrency in C A in Software: Practice and Experience has the following publication status: Published as Early View
+
+To access your article, please click the following link to register or log in:
+
+  https://authorservices.wiley.com/index.html#register
+
+You can also access your published article via this link: http://dx.doi.org/10.1002/spe.2925
+
+If you need any assistance, please click here https://hub.wiley.com/community/support/authorservices to view our Help section.
+
+Sincerely,                                                                                  
+Wiley Author Services
+
+
+Date: Wed, 2 Dec 2020 02:16:23 -0500
+From: <no-reply@copyright.com>
+To: <pabuhr@uwaterloo.ca>
+CC: <SPEproofs@wiley.com>
+Subject: Please submit your publication fee(s) SPE2925
+ 
+John Wiley and Sons
+Please submit your selection and payment for publication fee(s).
+
+Dear Peter A. Buhr,
+
+Congratulations, your article in Software: Practice and Experience has published online:
+
+Manuscript DOI: 10.1002/spe.2925
+Manuscript ID: SPE2925
+Manuscript Title: Advanced control-flow in Cforall
+Published by: John Wiley and Sons
+
+Please carefully review your publication options. If you wish your colour
+figures to be printed in colour, you must select and pay for that option now
+using the RightsLink e-commerce solution from CCC.
+
+  Review my options & pay charges  
+  https://oa.copyright.com/apc-payment-ui/overview?id=f46ba36a-2565-4c8d-8865-693bb94d87e5&chargeset=CHARGES  
+
+To review and pay your charge(s), please click here
+<https://oa.copyright.com/apc-payment-ui/overview?id=f46ba36a-2565-4c8d-8865-693bb94d87e5&chargeset=CHARGES>. You
+can also forward this link to another party for processing.
+
+To complete a secure transaction, you will need a RightsLink account
+<https://oa.copyright.com/apc-payment-ui/registration?id=f46ba36a-2565-4c8d-8865-693bb94d87e5&chargeset=CHARGES>. If
+you do not have one already, you will be prompted to register as you are
+checking out your author charges. This is a very quick process; the majority of
+your registration form will be pre-populated automatically with information we
+have already supplied to RightsLink.
+
+If you have any questions about these charges, please contact CCC Customer
+Service <wileysupport@copyright.com> using the information below. Please do not
+reply directly to this email as this is an automated email notification sent
+from an unmonitored account.
+
+Sincerely,
+John Wiley and Sons
+	
+Tel.: +1-877-622-5543 / +1-978-646-2777
+wileysupport@copyright.com
+www.copyright.com
+	
+Copyright Clearance Center
+RightsLink
+	
+This message (including attachments) is confidential, unless marked
+otherwise. It is intended for the addressee(s) only. If you are not an intended
+recipient, please delete it without further distribution and reply to the
+sender that you have received the message in error.
+
+
+
+From: "Pacaanas, Joel -" <jpacaanas@wiley.com>
+To: "Peter A. Buhr" <pabuhr@uwaterloo.ca>
+Subject: RE: Please submit your publication fee(s) SPE2925
+Date: Thu, 3 Dec 2020 08:45:10 +0000
+
+Dear Dr Buhr,
+
+Thank you for your email and concern with regard to the RightsLink account. As
+you have mentioned that all figures will be printed as black and white, then I
+have selected it manually from the system to proceed further.
+
+Best regards,
+Joel
+
+Joel Q. Pacaanas
+Production Editor
+On behalf of Wiley
+Manila
+We partner with global experts to further innovative research.
+
+E-mail: jpacaanas@wiley.com 
+Tel: +632 88558618
+Fax: +632 5325 0768
+
+-----Original Message-----
+From: Peter A. Buhr [mailto:pabuhr@uwaterloo.ca] 
+Sent: Thursday, December 3, 2020 12:28 AM
+To: SPE Proofs <speproofs@wiley.com>
+Subject: Re: Please submit your publication fee(s) SPE2925
+
+I am trying to complete the forms to submit my publication fee.
+
+I clicked all the boxs to print in Black and White, so there is no fee.
+
+I then am asked to create RightsLink account, which I did.
+
+However, it requires that I click a box agreeing to:
+
+   I consent to have my contact information shared with my publisher and/or
+   funding organization, as needed, to facilitate APC payment(s), reporting and
+   customer care.
+
+I do not agree to this sharing and will not click this button.
+
+How would you like to proceed?
+
+
+
+From: "Pacaanas, Joel -" <jpacaanas@wiley.com>
+To: "Peter A. Buhr" <pabuhr@uwaterloo.ca>
+Subject: RE: Please submit your publication fee(s) SPE2925
+Date: Fri, 4 Dec 2020 07:55:59 +0000
+
+Dear Peter,
+
+Yes, you are now done with this selection.
+
+Thank you.
+
+Best regards,
+Joel
+
+Joel Q. Pacaanas
+Production Editor
+On behalf of Wiley
+Manila
+We partner with global experts to further innovative research.
+
+E-mail: jpacaanas@wiley.com 
+Tel: +632 88558618
+Fax: +632 5325 0768
+
+-----Original Message-----
+From: Peter A. Buhr [mailto:pabuhr@uwaterloo.ca] 
+Sent: Thursday, December 3, 2020 10:29 PM
+To: Pacaanas, Joel - <jpacaanas@wiley.com>
+Subject: Re: Please submit your publication fee(s) SPE2925
+
+    Thank you for your email and concern with regard to the RightsLink
+    account. As you have mentioned that all figures will be printed as black and
+    white, then I have selected it manually from the system to proceed further.
+
+Just be clear, am I done? Meaning I do not have to go back to that web-page again.
